Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.gui
Class CreateGui

    java.lang.Object
      pipe.gui.CreateGui

All Implemented Interfaces:
  Constants

public class CreateGui
extends java.lang.Object
implements Constants

Nested Class Summary
`private static class` | `CreateGui.TabData`

Field Summary
`private static Animator` | `animator`
`static AnimationHistory` | `animBox`
`static GuiFrame` | `appGui`
`static java.lang.String` | `appPath`
`private static javax.swing.JTabbedPane` | `appTab`
`private static int` | `freeSpace`
`static java.lang.String` | `imgPath`
`static javax.swing.JSplitPane` | `leftPane` The Module will go in the top pane, the animation window in the bottom pane
`static javax.swing.JScrollPane` | `scroller`
`private static java.util.ArrayList` | `tabs`
`static java.lang.String` | `userPath`

Fields inherited from interface pipe.gui.Constants
`ADDTOKEN, ANIMATE, ANNOTATION, ANNOTATION_DEFAULT_FONT, ANNOTATION_DEFAULT_FONT_SIZE, ANNOTATION_LAYER_OFFSET, ANNOTATION_MIN_WIDTH, ANNOTATION_SIZE_OFFSET, ARC, ARC_CONTROL_POINT_CONSTANT, ARC_LAYER_OFFSET, ARC_PATH_PROXIMITY_WIDTH, ARC_PATH_SELECTION_WIDTH, ARC_POINT_LAYER_OFFSET, CREATING, DEFAULT_ELEMENT_TYPE, DELETE, DELTOKEN, DRAW, ELEMENT_FILL_COLOUR, ELEMENT_LINE_COLOUR, ENABLED_TRANSITION_COLOUR, FIRE, GRID, IMMTRANS, LOWEST_LAYER_OFFSET, NOTE_DISABLED_COLOUR, NOTE_EDITING_COLOUR, PLACE, PLACE_TRANSITION_HEIGHT, PLACE_TRANSITION_LAYER_OFFSET, PLACE_TRANSITION_PROXIMITY_RADIUS, PROPERTY_FILE_DESC, PROPERTY_FILE_EXTENSION, RANDOM, RESERVED_BORDER, RESIZE_POINT_DOWN_COLOUR, SELECT, SELECTION_FILL_COLOUR, SELECTION_LAYER_OFFSET, SELECTION_LINE_COLOUR, START, STEPBACKWARD, STEPFORWARD, STOP, TIMEDTRANS`

Constructor Summary
`CreateGui()`

Method Summary
`static void` | `addAnimationHistory()` Creates a new animationHistory text area, and returns a reference to it
`static DataLayer` | `currentPNMLData()` returns the current dataLayer object - used to get a reference to pass to the modules
`static AnimationHistory` | `getAnimationHistory()`
`static Animator` | `getAnimator()`
`static GuiFrame` | `getApp()`
`static java.io.File` | `getFile()`
`static int` | `getFreeSpace()`
`static DataLayer` | `getModel()`
`static DataLayer` | `getModel(int index)`
`static javax.swing.JTabbedPane` | `getTab()`
`static GuiView` | `getView()`
`static GuiView` | `getView(int index)`
`static void` | `init()`
`static void` | `nullModel(int index)`
`static void` | `nullView(int index)`
`static void` | `removeAnimationHistory()`
`static void` | `removeTab(int index)`
`static void` | `setFile(java.io.File modelfile, int fileNo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appGui

    public static GuiFrame appGui

### animator

    private static Animator animator

### appTab

    private static javax.swing.JTabbedPane appTab

### freeSpace

    private static int freeSpace

### tabs

    private static java.util.ArrayList tabs

### appPath

    public static java.lang.String appPath

### imgPath

    public static java.lang.String imgPath

### userPath

    public static java.lang.String userPath

### leftPane

    public static javax.swing.JSplitPane leftPane

  The Module will go in the top pane, the animation window in the bottom pane

### animBox

    public static AnimationHistory animBox

### scroller

    public static javax.swing.JScrollPane scroller

Constructor Detail

### CreateGui

    public CreateGui()

Method Detail

### init

    public static void init()

### getApp

    public static GuiFrame getApp()

### getModel

    public static DataLayer getModel()

### nullModel

    public static void nullModel(int index)

### nullView

    public static void nullView(int index)

### getModel

    public static DataLayer getModel(int index)

### getView

    public static GuiView getView(int index)

### getView

    public static GuiView getView()

### getFile

    public static java.io.File getFile()

### setFile

    public static void setFile(java.io.File modelfile,
                               int fileNo)

### getFreeSpace

    public static int getFreeSpace()

### removeTab

    public static void removeTab(int index)

### getTab

    public static javax.swing.JTabbedPane getTab()

### getAnimator

    public static Animator getAnimator()

### currentPNMLData

    public static DataLayer currentPNMLData()

  returns the current dataLayer object - used to get a reference to pass to the modules

### addAnimationHistory

    public static void addAnimationHistory()

  Creates a new animationHistory text area, and returns a reference to it

### removeAnimationHistory

    public static void removeAnimationHistory()

### getAnimationHistory

    public static AnimationHistory getAnimationHistory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD